package com.fjhx.account.entity.payee.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 收款单位
 * </p>
 *
 * @author
 * @since 2024-03-20
 */
@Getter
@Setter
@TableName("payee_info")
public class PayeeInfo extends BasePo {

    /**
     * 编码
     */
    private String code;

    /**
     * 名称
     */
    private String name;

    /**
     * 类型
     */
    private String type;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 税点
     */
    private Integer taxPoints;

    /**
     * 开户名
     */
    private String accountName;

    /**
     * 开户行
     */
    private String accountBank;

    /**
     * 开户账号
     */
    private String accountNumber;

    /**
     * 归属公司
     */
    private Long companyId;

}
