package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.po.AccountManagement;
import com.fjhx.account.entity.account.vo.AccountManagementVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 账户-管理表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface AccountManagementMapper extends BaseMapper<AccountManagement> {

    /**
     * 账户-管理表分页
     */
    Page<AccountManagementVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountManagement> wrapper);

    /**
     * 查询云帆资金账户表的信息
     */
//    @TenantIgnore
//    List<FundAccount> importsAmount(AccountManagementDto dto);
}
