package com.fjhx.account.mapper.payee;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.payee.po.PayeeInfo;
import com.fjhx.account.entity.payee.vo.PayeeInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 收款单位 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-20
 */
public interface PayeeInfoMapper extends BaseMapper<PayeeInfo> {

    /**
     * 收款单位分页
     */
    Page<PayeeInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PayeeInfo> wrapper);

}
