package com.fjhx.account.mapper.payment;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.payment.po.PaymentType;
import com.fjhx.account.entity.payment.vo.PaymentTypeVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 收付款类型 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface PaymentTypeMapper extends BaseMapper<PaymentType> {

    /**
     * 收付款类型分页
     */
    Page<PaymentTypeVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PaymentType> wrapper);

}
