package com.fjhx.customer.entity.customer.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.customer.entity.customer.po.Customer;
import com.fjhx.customer.entity.customer.po.CustomerUser;
import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 客户表新增编辑入参实体
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
public class CustomerDto extends Customer implements SetCustomizeAreaId {

    private List<CustomerUser> customerUserList;

    /**
     * 开始时间
     */
    private String beginTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 客户文件列表
     */
    private List<ObsFile> fileList;

    /**
     * 客户图片列表
     */
    private List<ObsFile> imgFileList;


}
