package com.fjhx.form.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.ProductionReportBo;
import com.fjhx.form.entity.SaleReportBo;
import com.fjhx.form.entity.WaitShipmentReportBo;
import com.fjhx.form.entity.WaitShipmentReportStatisticBo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ReportMapper {

    Page<ProductionReportBo> productionReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    Page<SaleReportBo> saleReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    Page<WaitShipmentReportBo> waitShipmentReport(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<WaitShipmentReportStatisticBo> waitShipmentReportStatistic();
}
