package com.fjhx.form.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.*;

import java.util.List;

public interface ReportService {

    /**
     * 生产报表
     */
    Page<ProductionReportBo> productionReport(ProductionReportSelectDto dto);

    Page<SaleReportBo> saleReport(ProductionReportSelectDto dto);

    /**
     * 已完工未出货报表统计
     *
     * @return
     */
    List<WaitShipmentReportStatisticBo> waitShipmentReportStatistic();

    /**
     * 已完工未出货报表
     */
    Page<WaitShipmentReportBo> waitShipmentReport(ProductionReportSelectDto dto);
}
