package com.fjhx.item.entity.product.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * item_产品定制信息
 * </p>
 *
 * @author
 * @since 2024-02-18
 */
@Getter
@Setter
@TableName("product_custom_info")
public class ProductCustomInfo extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 类型 1定制刀模 2定制纹路 3定制模具
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否选择
     */
    private Integer isCheck;

}
