package com.fjhx.jushuitan.entity.shop.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * jushuitan_店铺管理
 * </p>
 *
 * @author
 * @since 2024-01-07
 */
@Getter
@Setter
@TableName("shop_info")
public class ShopInfo extends BasePo {

    /**
     * 店铺编号
     */
    private String code;

    /**
     * 店铺名称
     */
    private String name;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 开户名
     */
    private String accountName;

    /**
     * 开户行
     */
    private String accountBank;

    /**
     * 开户账号
     */
    private String accountNumber;

}
