package com.fjhx.mes.entity.mold.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 模具信息
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
@Getter
@Setter
@TableName("mold_info")
public class MoldInfo extends BasePo {

    /**
     * 名称
     */
    private String moldName;

    /**
     * 产品长
     */
    private BigDecimal moldLength;

    /**
     * 产品宽
     */
    private BigDecimal moldWidth;

    /**
     * 产品高
     */
    private BigDecimal moldHeight;

    /**
     * 备注
     */
    private String remark;

}
