package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 生产排程
 * </p>
 *
 * @author
 * @since 2024-02-03
 */
@Getter
@Setter
@TableName("production_scheduling")
public class ProductionScheduling extends BasePo {

    /**
     * 任务id
     */
    private Long taskId;

    /**
     * 工序id
     */
    private Long processesId;

    /**
     * 排程时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date schedulingDate;

    /**
     * 排程数量
     */
    private Integer quantity;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 排程完成数
     */
    private Integer finishQuantity;

}
