package com.fjhx.mes.entity.production.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 生产任务进度
 * </p>
 *
 * @author
 * @since 2024-01-15
 */
@Getter
@Setter
@TableName("production_task_progress")
public class ProductionTaskProgress extends BasePo {

    /**
     * 任务id
     */
    private Long taskId;

    /**
     * 工序id
     */
    private Long processesId;

    /**
     * 完成数量
     */
    private BigDecimal finishQuantity;

    /**
     * 结存数量
     */
    private BigDecimal balanceQuantity;

}
