package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionScheduling;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 生产排程列表查询返回值实体
 *
 * @author
 * @since 2024-02-03
 */
@Getter
@Setter
public class ProductionSchedulingVo extends ProductionScheduling {

    /**
     * 工序名称
     */
    private String processesName;
    /**
     * 负载量
     */
    private Integer capacity;

    /**
     * 排程时间字符串
     */
    private String schedulingDateStr;

    //=======================
    private Long taskId;
    private BigDecimal taskQuantity;
    private Long orderId;
    private String orderCode;
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;

    /**
     * 总排程数量
     */
    private BigDecimal sumQuantity;

}
