package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionScheduling;
import com.fjhx.mes.entity.production.po.ProductionTaskProgress;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 生产任务进度列表查询返回值实体
 *
 * @author
 * @since 2024-01-15
 */
@Getter
@Setter
public class ProductionTaskProgressVo extends ProductionTaskProgress {

    /**
     * 工序名称
     */
    private String progressName;

    /**
     * 排程列表
     */
    private List<ProductionScheduling> schedulingList;

    /**
     * 排程总数
     */
    private Integer schedulingCount;

    /**
     * 数量
     */
    private BigDecimal quantity;

}
