package com.fjhx.mes.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.bo.WorkshopReportBo;
import com.fjhx.mes.entity.production.dto.ProductionTaskProgressSelectDto;
import com.fjhx.mes.entity.production.po.ProductionTaskProgress;
import com.fjhx.mes.entity.production.vo.ProductionTaskProgressVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 生产任务进度 服务类
 * </p>
 *
 * @author
 * @since 2024-01-15
 */
public interface ProductionTaskProgressService extends BaseService<ProductionTaskProgress> {


    /**
     * 车间统计
     */
    List<ProductionTaskProgressVo> workshopReportStatistics(ProductionTaskProgressSelectDto dto);

    /**
     * 车间看板
     */
    Page<WorkshopReportBo> workshopReport(ProductionTaskProgressSelectDto dto);
}
