package com.fjhx.purchase.entity.invoice.vo;

import com.fjhx.purchase.entity.invoice.po.Invoice;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 发票管理列表查询返回值实体
 *
 * @author 
 * @since 2023-04-12
 */
@Getter
@Setter
public class InvoiceVo extends Invoice {


    /**
     * 采购合同编码集合
     */
    private String purchaseCodes;

    /**
     * 供应商名称
     */
    private String supplyName;

    /**
     * 发票列表
     */
    private List<InvoiceDetailsVo> invoiceDetailsVoList;

    private String companyName;

}
