package com.fjhx.purchase.entity.pay.vo;

import com.fjhx.purchase.entity.pay.po.Pay;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 采购付款列表查询返回值实体
 *
 * @author
 * @since 2023-04-13
 */
@Getter
@Setter
public class PayVo extends Pay {

    private String supplyName;

    /**
     * 打款状态
     */
    private String paymentStatus;

    /**
     * 采购付款明细
     */
    private List<PayDetailVo> payDetailVoList;

    /**
     * 流程实例id
     */
    private Long flowExampleId;

    /**
     * 付款账户名称
     */
    private String accountManagementName;

    private String companyName;

}
