package com.fjhx.sale.entity.after.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * sale_售后管理
 * </p>
 *
 * @author
 * @since 2024-01-31
 */
@Getter
@Setter
@TableName("after_sales")
public class AfterSales extends BasePo {

    /**
     * 售后编号
     */
    private String code;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 售后类型 字典
     */
    private String type;

    /**
     * 售后人id
     */
    private Long userId;

    /**
     * 联系人名称
     */
    private String contactName;

    /**
     * 联系方式
     */
    private String contactWay;

    /**
     * 说明
     */
    private String remark;

    /**
     * 售后状态 0进行中1关闭
     */
    private Integer status;

    /**
     * 合同产品明细id
     */
    private Long contractProductId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 售后数量
     */
    private BigDecimal quantity;

    private Long companyId;

    private Long flowId;

    /**
     * 开户银行
     */
    private String openingBank;
    /**
     * 账户名称
     */
    private String accountName;
    /**
     * 开户账号
     */
    private String accountOpening;

    /**
     * 售后新合同id
     */
    private Long newContractId;
    /**
     * 打款id
     */
    private Long paymentId;


}
