package com.fjhx.sale.entity.arrival.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * purchase_到货
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
@Getter
@Setter
@TableName("arrival")
public class Arrival extends BasePo {

    /**
     * 到货单编码
     */
    private String code;

    /**
     * 采购单ID
     */
    private Long purchaseId;

    /**
     * 到货时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date arrivalTime;

}
