package com.fjhx.sale.entity.contract.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.sale.entity.contract.po.ContractOutboundInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 销售出货信息新增编辑入参实体
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
public class ContractOutboundInfoDto extends ContractOutboundInfo {

    /**
     * 出库记录列表
     */
    List<ContractOutboundRecordsDto> outboundRecordList;

    /**
     * 出货文件列表
     */
    private List<ObsFile> fileList;

    /**
     * 装车文件列表
     */
    private List<ObsFile> truckFileList;

}
