package com.fjhx.sale.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * 销售出货信息
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
@TableName("contract_outbound_info")
public class ContractOutboundInfo extends BasePo {

    /**
     * 合同id
     */
    private Long contractId;
    /**
     * 流程审批状态
     */
    private Integer status;
    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 开单人
     */
    private Long billUserId;
    /**
     * 装车时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date truckDate;
    /**
     * 装车备注
     */
    private String truckRemark;


}
