package com.fjhx.sale.entity.contract.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 销售出库详情
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
@TableName("contract_outbound_records")
public class ContractOutboundRecords extends BasePo {

    /**
     * 出货记录id
     */
    private Long recordId;

    /**
     * 合同id
     */
    private Long contractId;

    /**
     * 合同产品id
     */
    private Long contractProductId;

    /**
     * 商品ID
     */
    private Long productId;

    /**
     * 出库数量
     */
    private BigDecimal quantity;

    /**
     * 销售单价
     */
    private BigDecimal price;

}
