package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractOutboundRecords;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 销售出库详情列表查询返回值实体
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
public class ContractOutboundRecordsVo extends ContractOutboundRecords {

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;

    /**
     * 单位
     */
    private String productUnit;
    /**
     * 净重
     */
    private BigDecimal productNetWeight;
    /**
     * 正面纹路
     */
    private String productFrontalTexture;
    /**
     * 反面纹路
     */
    private String productReverseTexture;

}
