package com.fjhx.sale.entity.ext.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sale_对内报价单产品定制信息
 * </p>
 *
 * @author
 * @since 2024-02-19
 */
@Getter
@Setter
@TableName("ext_quotation_product_custom_info")
public class ExtQuotationProductCustomInfo extends BasePo {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 类型 1定制刀模 2定制纹路 3定制模具
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否勾选
     */
    private Integer isCheck;

    /**
     * 报价表ID
     */
    private Long extQuotationId;

    /**
     * 报价产品id
     */
    private Long extQuotationProductId;

}
