package com.fjhx.sale.entity.pack.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * <p>
 * 装箱出货表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("pack")
public class Pack extends BasePo {

    /**
     * 装箱单号
     */
    private String code;

    /**
     * 客户ID
     */
    private Long customerId;

    /**
     * 合同IDS
     */
    private String contractIds;

    /**
     * 备注
     */
    private String remark;

    /**
     * 数据归属公司
     */
    private Long companyId;

    /**
     * 装箱明细列表
     */
    @TableField(exist = false)
    private List<PackDetail> packDetailList;
}
