package com.fjhx.sale.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * sale_采购退货明细
 * </p>
 *
 * @author
 * @since 2024-01-30
 */
@Getter
@Setter
@TableName("purchase_back_details")
public class PurchaseBackDetails extends BasePo {

    /**
     * 采购退货id
     */
    private Long purchaseBackId;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 采购明细id
     */
    private Long purchaseDetailsId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 退货数量
     */
    private BigDecimal quantity;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 备注
     */
    private String remark;

}
