package com.fjhx.sale.entity.quotation.vo;

import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 商品-报价单关联表列表查询返回值实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class QuotationProductVo extends QuotationProduct {

    List<QuotationProductBomVo> quotationProductBomList;
    private String productCode;
    private String productName;
    private BigDecimal productLength;
    private BigDecimal productWidth;
    private BigDecimal productHeight;


    /**
     * 报价信息
     */
    List<QuotationEstimateVo> quotationEstimateList;

    List<QuotationProductCustomInfoVo> quotationProductCustomInfoList;

}
