package com.fjhx.sale.entity.sale.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.sale.entity.quotation.dto.QuotationProductDto;
import com.fjhx.sale.entity.sale.po.SaleQuotation;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 报价表新增编辑入参实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class SaleQuotationDto extends SaleQuotation {

    /**
     * 商品-报价单关联表信息
     */
    private List<QuotationProductDto> quotationProductList;

    /**
     * 议价
     */
    private List<ObsFile> discussFileList;


//    /**
//     *报价 -收费项目表
//     */
//    private List<QuotationPay> quotationPayList;
//
//
//    /**
//     * 省 州ID
//     */
//    private Long provinceId;
//
//    /**
//     * 省州名称
//     */
//    private String provinceName;
//
//
//    /**
//     * 城市ID
//     */
//    private Long cityId;
//
//    /**
//     * 城市名称
//     */
//    private String cityName;
//
//    /**
//     * 国家ID
//     */
//    private Long countryId;

}
