package com.fjhx.sale.mapper.arrival;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.sale.entity.arrival.po.ArrivalDetail;
import com.fjhx.sale.entity.arrival.vo.ArrivalDetailVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * purchase_到货明细单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
@Mapper
public interface ArrivalDetailMapper extends BaseMapper<ArrivalDetail> {

    List<ArrivalDetailVo> getList(@Param("ew") IWrapper<ArrivalDetail> wrapper);

}
