package com.fjhx.sale.mapper.arrival;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.arrival.po.Arrival;
import com.fjhx.sale.entity.arrival.vo.ArrivalVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * purchase_到货 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
public interface ArrivalMapper extends BaseMapper<Arrival> {

    /**
     * purchase_到货分页
     */
    Page<ArrivalVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Arrival> wrapper);

}
