package com.fjhx.sale.mapper.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.po.ContractOutboundInfo;
import com.fjhx.sale.entity.contract.vo.ContractOutboundInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 销售出货信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
public interface ContractOutboundInfoMapper extends BaseMapper<ContractOutboundInfo> {

    Page<ContractOutboundInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractOutboundInfo> wrapper);

    ContractOutboundInfoVo detail(Long id);

}
