package com.fjhx.sale.mapper.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.sale.entity.contract.po.ContractProductBom;
import com.fjhx.sale.entity.contract.vo.ContractProductBomVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 合同产品BOM Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-17
 */
@Mapper
public interface ContractProductBomMapper extends BaseMapper<ContractProductBom> {

    List<ContractProductBomVo> getContractProductBomQuantitySum(@Param("ew") IWrapper<Object> wrapper);

}
