package com.fjhx.sale.mapper.quotation;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.item.entity.product.ProcessesBo;
import com.fjhx.item.entity.product.TechnologyBo;
import com.fjhx.sale.entity.quotation.po.QuotationEstimate;
import com.fjhx.sale.entity.quotation.vo.QuotationEstimateVo;

import java.util.List;


/**
 * <p>
 * 报价评估 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-02-04
 */
public interface QuotationEstimateMapper extends BaseMapper<QuotationEstimate> {

    List<ProcessesBo> getProductionProcessesList();

    TechnologyBo getTechnologyInfo(Long id);

    List<QuotationEstimateVo> getMoldInfoList(List<Long> moldIds);

}
