package com.fjhx.sale.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractOutboundInfoDto;
import com.fjhx.sale.entity.contract.dto.ContractOutboundInfoSelectDto;
import com.fjhx.sale.entity.contract.po.ContractOutboundInfo;
import com.fjhx.sale.entity.contract.vo.ContractOutboundInfoVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 销售出货信息 服务类
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
public interface ContractOutboundInfoService extends BaseService<ContractOutboundInfo> {
    Page<ContractOutboundInfoVo> getPage(ContractOutboundInfoSelectDto dto);

    void loadTruck(ContractOutboundInfoDto dto);

    /**
     * 详情
     */
    ContractOutboundInfoVo detail(Long id);

}
