package com.fjhx.sale.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractOutboundRecordsSelectDto;
import com.fjhx.sale.entity.contract.po.ContractOutboundRecords;
import com.fjhx.sale.entity.contract.vo.ContractOutboundRecordsVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;


/**
 * <p>
 * 销售出库详情 服务类
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
public interface ContractOutboundRecordsService extends BaseService<ContractOutboundRecords> {

    Page<ContractOutboundRecordsVo> getPage(ContractOutboundRecordsSelectDto dto);

    List<ContractOutboundRecordsVo> getList(IWrapper wrapper);

}
