package com.fjhx.sale.service.ext;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.item.entity.product.dto.ProductInfoDto;
import com.fjhx.sale.entity.ext.dto.ExtQuotationProductSelectDto;
import com.fjhx.sale.entity.ext.po.ExtQuotationProduct;
import com.fjhx.sale.entity.ext.vo.ExtQuotationProductVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 对外报价单产品 服务类
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
public interface ExtQuotationProductService extends BaseService<ExtQuotationProduct> {

    /**
     * 待创建产品分页
     *
     * @return
     */
    Page<ExtQuotationProductVo> waitCreateProductPage(ExtQuotationProductSelectDto dto);

    /**
     * 创建产品
     */
    void createProduct(ProductInfoDto productInfoDto);
}
