package com.fjhx.supply.entity.supplier.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 供应商其他联系人
 * </p>
 *
 * @author
 * @since 2024-03-04
 */
@Getter
@Setter
@TableName("supplier_contact")
public class SupplierContact extends BasePo {

    private Long supplierId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 职位
     */
    private String position;

    /**
     * 电话
     */
    private String phoneNum;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 备注
     */
    private String remark;

}
