package com.fjhx.account.entity.account.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 账户-管理表列表查询入参实体
 *
 * @author
 * @since 2023-04-06
 */
@Getter
@Setter
public class AccountManagementSelectDto extends BaseSelectDto {


    /**
     * 账户名
     */
    private String keyword;

    /**
     * 开户银行
     */
    private String openingBank;

    /**
     * 生产公司id
     */
    private Long companyId;

    /**
     * 账户类型 10公账 20私账
     */
    private Integer type;
}
