package com.fjhx.account.entity.cost.vo;

import com.fjhx.account.entity.cost.po.CostControl;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 费控列表查询返回值实体
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
public class CostControlVo extends CostControl {

    /**
     * 费控明细
     */
    List<CostControlDetailVo> costControlDetailList;
    /**
     * 物流公司名称
     */
    private String logisticsName;
    /**
     * 物流公司税点
     */
    private Integer logisticsTaxPoints;
    /**
     * 物流公司开户名
     */
    private String logisticsAccountName;
    /**
     * 物流公司开户行
     */
    private String logisticsAccountBank;
    /**
     * 物流公司户账号
     */
    private String logisticsAccountNumber;
    /**
     * 申请人名称
     */
    private String applyUserName;

}
