package com.fjhx.account.entity.payment.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 收付款类型
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
@TableName("payment_type")
public class PaymentType extends BasePo {

    /**
     * 收付款名称
     */
    private String name;

    /**
     * 交易类型10收入20支出
     */
    private Integer tradeType;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 动态字段json
     */
    private String dynamicFieldJson;

    /**
     * 记账科目Id
     */
    private Long accountSubjectsId;

}
