package com.fjhx.account.mapper.account;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.account.po.AccountSubjects;
import com.fjhx.account.entity.account.vo.AccountSubjectsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 记账科目 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface AccountSubjectsMapper extends BaseMapper<AccountSubjects> {

    /**
     * 记账科目列表
     */
    List<AccountSubjectsVo> getList(@Param("ew") IWrapper<AccountSubjects> wrapper);

    /**
     * 记账科目分页
     */
    Page<AccountSubjectsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<AccountSubjects> wrapper);

}
