package com.fjhx.account.service.payee;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.account.entity.payee.dto.PayeeInfoDto;
import com.fjhx.account.entity.payee.dto.PayeeInfoSelectDto;
import com.fjhx.account.entity.payee.po.PayeeInfo;
import com.fjhx.account.entity.payee.vo.PayeeInfoVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 收款单位 服务类
 * </p>
 *
 * @author
 * @since 2024-03-20
 */
public interface PayeeInfoService extends BaseService<PayeeInfo> {

    /**
     * 收款单位分页
     */
    Page<PayeeInfoVo> getPage(PayeeInfoSelectDto dto);

    /**
     * 收款单位明细
     */
    PayeeInfoVo detail(Long id);

    /**
     * 收款单位新增
     */
    void add(PayeeInfoDto payeeInfoDto);

    /**
     * 收款单位编辑
     */
    void edit(PayeeInfoDto payeeInfoDto);

    /**
     * 收款单位删除
     */
    void delete(Long id);

}
