package com.fjhx.common.entity.logistics.vo;

import com.fjhx.common.entity.logistics.po.LogisticsCompanyInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 物流公司信息列表查询返回值实体
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
public class LogisticsCompanyInfoVo extends LogisticsCompanyInfo {

    /**
     * 预付款结存
     */
    private BigDecimal balancePrepaid;
    /**
     * 预付款结存(含税)
     */
    private BigDecimal balancePrepaidTax;

}
