package com.fjhx.common.mapper.logistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.entity.logistics.po.LogisticsCompanyInfo;
import com.fjhx.common.entity.logistics.vo.LogisticsCompanyInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流公司信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
public interface LogisticsCompanyInfoMapper extends BaseMapper<LogisticsCompanyInfo> {

    /**
     * 物流公司信息列表
     */
    List<LogisticsCompanyInfoVo> getList(@Param("ew") IWrapper<LogisticsCompanyInfo> wrapper);

    /**
     * 物流公司信息分页
     */
    Page<LogisticsCompanyInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<LogisticsCompanyInfo> wrapper);

}
