package com.fjhx.customer.entity.customer.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 客户用户表
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
@Getter
@Setter
@TableName("customer_user")
public class CustomerUser extends BasePo {

    /**
     * 客户id
     */
    private Long customerId;
    /**
     * DirectLine
     */
    private String directLine;
    /**
     * 电子邮箱
     */
    private String email;
    /**
     * Facebook
     */
    private String facebook;
    /**
     * 是否是企业关键KP
     */
    private Integer isKp;
    /**
     * linkedIn
     */
    private String linkedIn;
    /**
     * 联系人名字
     */
    private String name;
    /**
     * 手机
     */
    private String phone;
    /**
     * 职位
     */
    private String position;
    /**
     * QQ
     */
    private String qq;
    /**
     * 性别
     */
    private String sex;
    /**
     * Skype
     */
    private String skype;
    /**
     * 联系电话
     */
    private String tel;
    /**
     * 阿里旺旺
     */
    private String wangWang;
    /**
     * 微信
     */
    private String weChat;
    /**
     * whatsApp
     */
    private String whatsApp;

}
