package com.fjhx.form.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class SaleReportBo {

    /**
     * 等等类型
     */
    private Integer contractType;

    /**
     * 订单号
     */
    private String code;

    /**
     * 业务公司
     */
    private Long ofCompanyId;
    private String ofCompanyName;

    /**
     * 业务部门id
     */
    private Long deptId;
    /**
     * 业务部门
     */
    private String deptName;

    /**
     * 生产公司
     */
    private Long companyId;
    private String companyName;

    /**
     * 订单归属
     */
    private Integer belongType;

    /**
     * 订单金额
     */
    private BigDecimal amount;
    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 完工入库时间
     */
    private Date finishTime;

    /**
     * 出货时间
     */
    private Date outboundTime;

    /**
     * 出货间隔天数
     */
    private BigDecimal outInterval;

    /**
     * 出货不及时率
     */
    private BigDecimal untimelyRate;

}
