package com.fjhx.form.entity;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
public class WaitShipmentReportBo {
    private Long id;
    /**
     * 业务员id
     */
    private Long salesmanId;
    /**
     * 业务员id
     */
    private String salesmanName;
    /**
     * 下单时间
     */
    private Date saleDate;
    /**
     * 交期
     */
    private Date deliveryTime;
    /**
     * 订单号
     */
    private String code;
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;
    /**
     * 数量
     */
    private BigDecimal quantity;
    /**
     * 完工数量
     */
    private BigDecimal finishQuantity;
    /**
     * 出货数量
     */
    private BigDecimal receiptQuantity;
    /**
     * 未出货数量
     */
    private BigDecimal notQuantity;
    /**
     * 超期天数
     */
    private Integer overdueDay;
}
