package com.fjhx.item.entity.product.vo;

import com.fjhx.item.entity.product.po.ProductBomDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * item_产品BOM明细列表查询返回值实体
 *
 * @author
 * @since 2024-01-07
 */
@Getter
@Setter
public class ProductBomDetailVo extends ProductBomDetail {

    /**
     * 物料名称
     */
    private String materialName;
    /**
     * 物料编码
     */
    private String materialCode;

    private BigDecimal materialLength;
    private BigDecimal materialWidth;
    private BigDecimal materialHeight;
    private BigDecimal materialPrice;

    /**
     * 净重
     */
    private BigDecimal materialNetWeight;

    /**
     * 颜色
     */
    private String materialColor;

    /**
     * 色卡号
     */
    private String materialColorCardCode;

}
