package com.fjhx.mes.entity.production.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class WorkshopReportBo {
    private Long id;
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 生产订单id
     */
    private Long produceOrderId;
    /**
     * 工序id
     */
    private Long progressId;
    /**
     * 工序名称
     */
    private String progressName;
    /**
     * 订单号
     */
    private String orderCode;
    /**
     * 产品id
     */
    private Long productId;
    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;
    /**
     * 工单数量
     */
    private BigDecimal quantity;
    /**
     * 完工数量
     */
    private BigDecimal finishQuantity;
    /**
     * 欠量
     */
    private BigDecimal residueQuantity;
    /**
     * 昨天排程数量
     */
    private BigDecimal yesterdaySchedulingQuantity;
    /**
     * 昨天完成数量
     */
    private BigDecimal yesterdayFinishQuantity;
    /**
     * 今天排程数量
     */
    private BigDecimal todaySchedulingQuantity;
    /**
     * 今天完成数量
     */
    private BigDecimal todayFinishQuantity;
    /**
     * 明天完成数量
     */
    private BigDecimal tomorrowSchedulingQuantity;
}
