package com.fjhx.mes.entity.production.vo;

import com.fjhx.mes.entity.production.po.ProductionReportingDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 生产报工明细列表查询返回值实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class ProductionReportingDetailVo extends ProductionReportingDetail {

    /**
     * 订单编号
     */
    private String orderCode;

    /**
     * 工序名称
     */
    private String ProcessesName;

    /**
     * 创建人名称
     */
    private String createUserName;

    private String companyName;

    /**
     * 报工人名称
     */
    private String userName;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品编号
     */
    private String productCode;
    /**
     * 产品长
     */
    private BigDecimal productLength;
    /**
     * 产品宽
     */
    private BigDecimal productWidth;
    /**
     * 产品高
     */
    private BigDecimal productHeight;
    /**
     * 产品颜色
     */
    private String productColor;

}
