package com.fjhx.mes.entity.report.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 报损管理列表查询入参实体
 *
 * @author
 * @since 2024-01-26
 */
@Getter
@Setter
public class ReportLossesDetailsSelectDto extends BaseSelectDto {

    /**
     * 类型 0补单1丢失
     */
    private Integer type;

    /**
     * 过期数量
     */
    private Integer pastDay;

    /**
     * 归属公司
     */
    private Long companyId;

    /**
     * 报损工序id
     */
    private Long processId;

}
