package com.fjhx.mes.mapper.mold;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.mold.po.MoldInfo;
import com.fjhx.mes.entity.mold.vo.MoldInfoVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 模具信息 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
public interface MoldInfoMapper extends BaseMapper<MoldInfo> {

    /**
     * 模具信息分页
     */
    Page<MoldInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<MoldInfo> wrapper);

}
