package com.fjhx.sale.controller.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.dto.ContractOutboundRecordsSelectDto;
import com.fjhx.sale.entity.contract.vo.ContractOutboundRecordsVo;
import com.fjhx.sale.service.contract.ContractOutboundRecordsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 销售出库详情 前端控制器
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
@RestController
@RequestMapping("/contractOutboundRecords")
public class ContractOutboundRecordsController {

    @Autowired
    private ContractOutboundRecordsService contractOutboundRecordsService;

    @PostMapping("/page")
    Page<ContractOutboundRecordsVo> getPage(@RequestBody ContractOutboundRecordsSelectDto dto) {
        return contractOutboundRecordsService.getPage(dto);
    }

}
