package com.fjhx.sale.entity.contract.vo;

import com.fjhx.sale.entity.contract.po.ContractOutboundInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 销售出货信息列表查询返回值实体
 *
 * @author
 * @since 2024-03-13
 */
@Getter
@Setter
public class ContractOutboundInfoVo extends ContractOutboundInfo {

    /**
     * 出库明细
     */
    List<ContractOutboundRecordsVo> outboundRecordList;

    /**
     * 开单人
     */
    private String billUserName;

    private String contractCode;
    private Integer modCount;
    private Integer sumQuantity;
}
