package com.fjhx.sale.entity.purchase.dto;

import com.fjhx.area.service.SetCustomizeAreaId;
import com.fjhx.file.entity.ObsFile;
import com.fjhx.sale.entity.purchase.po.EhsdPurchase;
import com.fjhx.sale.entity.purchase.po.EhsdPurchaseProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * ehsd采购表新增编辑入参实体
 *
 * @author 
 * @since 2023-05-17
 */
@Getter
@Setter
public class EhsdPurchaseDto extends EhsdPurchase implements SetCustomizeAreaId {


    /**
     * 省 州ID
     */
    private Long provinceId;

    /**
     * 省州名称
     */
    private String provinceName;


    /**
     * 城市ID
     */
    private Long cityId;

    /**
     * 城市名称
     */
    private String cityName;

    /**
     * 国家ID
     */
    private Long countryId;

    /**
     * 产品id列表
     */
    private List<Long> productIds;

    private List<EhsdPurchaseProduct> purchaseProductList;

    /**
     * 文件列表
     */
    List<ObsFile> fileList;
}
