package com.fjhx.sale.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * sale_采购退货
 * </p>
 *
 * @author
 * @since 2024-01-30
 */
@Getter
@Setter
@TableName("purchase_back")
public class PurchaseBack extends BasePo {

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 退货单号
     */
    private String code;

    /**
     * 备注
     */
    private String remark;

    /**
     * 退货状态
     */
    private Integer status;

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 退货金额
     */
    private BigDecimal amount;

    private Long flowId;

}
