package com.fjhx.sale.entity.purchase.vo;

import com.fjhx.sale.entity.purchase.po.PurchaseBack;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * sale_采购退货列表查询返回值实体
 *
 * @author
 * @since 2024-01-30
 */
@Getter
@Setter
public class PurchaseBackVo extends PurchaseBack {

    private List<PurchaseBackDetailsVo> purchaseBackDetailsList;

    /**
     * 采购金额
     */
    private BigDecimal purchaseAmount;

    /**
     * 已付金额
     */
    private BigDecimal payAmount;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 采购单号
     */
    private String purchaseCode;

    /**
     * 归属公司名称
     */
    private String companyName;

}
