package com.fjhx.sale.entity.quotation.dto;

import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 商品-报价单关联表新增编辑入参实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class QuotationProductDto extends QuotationProduct {

    /**
     * 报价产品配件列表
     */
    private List<QuotationProductBomDto> quotationProductBomList;

    /**
     * 报价产品定制信息列表
     */
    private List<QuotationProductCustomInfoDto> quotationProductCustomInfoList;

}
