//package com.fjhx.sale.flow;
//
//import com.alibaba.fastjson.JSONObject;
//import com.fjhx.flow.core.FlowDelegate;
//import com.fjhx.flow.enums.FlowStatusEnum;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//
///**
// * 样品单流程
// */
//@Component
//public class SampleFlow extends FlowDelegate {
//
//    private final ContractFlow contractFlow;
//
//    @Autowired
//    public SampleFlow(ContractFlow contractFlow) {
//        this.contractFlow = contractFlow;
//    }
//
//    @Override
//    public String getFlowKey() {
//        return "sample_flow";
//    }
//
//    /**
//     * 发起流程
//     */
//    @Override
//    public Long start(Long flowId, JSONObject submitData) {
//        return contractFlow.start(flowId, submitData);
//    }
//
//    /**
//     * 重新发起
//     */
//    @Override
//    public void relaunch(Long flowId, Long businessId, FlowStatusEnum flowStatus, JSONObject submitData) {
//        contractFlow.relaunch(flowId, businessId, flowStatus, submitData);
//    }
//
//    /**
//     * 驳回
//     */
//    @Override
//    public void reject(Long flowId, Long businessId, FlowStatusEnum flowStatus) {
//        contractFlow.reject(flowId, businessId, flowStatus);
//    }
//
//
//    /**
//     * 结束流程
//     */
//    @Override
//    public void end(Long flowId, Long businessId, JSONObject submitData) {
//        contractFlow.end(flowId, businessId, submitData);
//    }
//
//    /**
//     * 作废
//     */
//    @Override
//    public void cancellation(Long flowId, Long businessId, FlowStatusEnum flowStatus) {
//        contractFlow.cancellation(flowId, businessId, flowStatus);
//    }
//}
