package com.fjhx.sale.mapper.contract;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.po.ContractOutboundRecords;
import com.fjhx.sale.entity.contract.vo.ContractOutboundRecordsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 销售出库详情 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-03-13
 */
public interface ContractOutboundRecordsMapper extends BaseMapper<ContractOutboundRecords> {

    Page<ContractOutboundRecordsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ContractOutboundRecords> wrapper);

    List<ContractOutboundRecordsVo> getList(@Param("ew") IWrapper wrapper);
}
