package com.fjhx.sale.mapper.ext;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.ext.po.ExtQuotationProduct;
import com.fjhx.sale.entity.ext.vo.ExtQuotationProductVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 对外报价单产品 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-01-14
 */
public interface ExtQuotationProductMapper extends BaseMapper<ExtQuotationProduct> {

    Page<ExtQuotationProductVo> waitCreateProductPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExtQuotationProduct> wrapper);
}
