package com.fjhx.sale.service.arrival;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.arrival.dto.ArrivalDto;
import com.fjhx.sale.entity.arrival.dto.ArrivalSelectDto;
import com.fjhx.sale.entity.arrival.po.Arrival;
import com.fjhx.sale.entity.arrival.vo.ArrivalVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * purchase_到货 服务类
 * </p>
 *
 * @author
 * @since 2024-02-01
 */
public interface ArrivalService extends BaseService<Arrival> {

    /**
     * purchase_到货分页
     */
    Page<ArrivalVo> getPage(ArrivalSelectDto dto);

    /**
     * purchase_到货明细
     */
    ArrivalVo detail(Long id);

    /**
     * purchase_到货新增
     */
    void add(ArrivalDto arrivalDto);

}
