package com.fjhx.sale.service.quotation;

import com.fjhx.sale.entity.quotation.dto.QuotationEstimateDto;
import com.fjhx.sale.entity.quotation.po.QuotationEstimate;
import com.fjhx.sale.entity.quotation.vo.QuotationEstimateVo;
import com.fjhx.sale.entity.sale.vo.SaleQuotationVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 报价评估 服务类
 * </p>
 *
 * @author
 * @since 2024-02-04
 */
public interface QuotationEstimateService extends BaseService<QuotationEstimate> {

    /**
     * 报价评估明细
     */
    List<QuotationEstimateVo> detail(QuotationEstimateDto dto);

    /**
     * 报价评估新增
     */
    void addOrEdit(QuotationEstimateDto quotationEstimateDto);

    /**
     * 提交报价
     */
    void submitQuotation(Long id);

    /**
     * 打印Pdf
     */
    SaleQuotationVo printPdf(QuotationEstimateDto dto);
}
