package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockWait;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 待出入库列表查询返回值实体
 *
 * @author
 * @since 2023-03-22
 */
@Getter
@Setter
public class StockWaitVo extends StockWait {
    /**
     * 待入库明细
     */
    private List<StockWaitDetailsVo> stockWaitDetailsList;

    private String companyName;

    /**
     * 采购id
     */
    private Long purchaseUserId;
    private String purchaseUserName;

    /**
     * 仓库id
     */
    private Long warehouseId;
    private String warehouseName;

    /**
     * 出入库人
     */
    private Long inOutUserId;
    private String inOutUserName;

    /**
     * 合同编号
     */
    private String contractCode;
    private String contractType;

    /**
     * 客户id
     */
    private Long customerId;
    private String customerName;

    /**
     * 生产公司id
     */
    private Long prodCompanyId;
    private String prodCompanyName;

    /**
     * 跟单员
     */
    private Long merchUserId;
    private String merchUserName;

    /**
     * 业务员
     */
    private Long salesmanId;
    private String salesmanName;

    /**
     * 合同总金额
     */
    private BigDecimal contractAmount;
    /**
     * 合同出场总金额
     */
    private BigDecimal contractFactoryAmount;
}
